uk.gov.hmrc.wco.dec

# SeqDeserializationModifier

###
Related Doc: package dec

#### object SeqDeserializationModifier extends BeanDeserializerModifier

Linear Supertypes
BeanDeserializerModifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SeqDeserializationModifier
2. BeanDeserializerModifier
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### def modifyArrayDeserializer(arg0: DeserializationConfig, arg1: ArrayType, arg2: BeanDescription, arg3: JsonDeserializer[_]): JsonDeserializer[_]

    Definition Classes
      BeanDeserializerModifier

13. #### def modifyCollectionDeserializer(arg0: DeserializationConfig, arg1: CollectionType, arg2: BeanDescription, arg3: JsonDeserializer[_]): JsonDeserializer[_]

    Definition Classes
      BeanDeserializerModifier

14. #### def modifyCollectionLikeDeserializer(config: DeserializationConfig, type: CollectionLikeType, beanDesc: BeanDescription, deserializer: JsonDeserializer[_]): JsonDeserializer[_]

    Definition Classes
      SeqDeserializationModifier → BeanDeserializerModifier

15. #### def modifyDeserializer(arg0: DeserializationConfig, arg1: BeanDescription, arg2: JsonDeserializer[_]): JsonDeserializer[_]

    Definition Classes
      BeanDeserializerModifier

16. #### def modifyEnumDeserializer(arg0: DeserializationConfig, arg1: JavaType, arg2: BeanDescription, arg3: JsonDeserializer[_]): JsonDeserializer[_]

    Definition Classes
      BeanDeserializerModifier

17. #### def modifyKeyDeserializer(arg0: DeserializationConfig, arg1: JavaType, arg2: KeyDeserializer): KeyDeserializer

    Definition Classes
      BeanDeserializerModifier

18. #### def modifyMapDeserializer(arg0: DeserializationConfig, arg1: MapType, arg2: BeanDescription, arg3: JsonDeserializer[_]): JsonDeserializer[_]

    Definition Classes
      BeanDeserializerModifier

19. #### def modifyMapLikeDeserializer(arg0: DeserializationConfig, arg1: MapLikeType, arg2: BeanDescription, arg3: JsonDeserializer[_]): JsonDeserializer[_]

    Definition Classes
      BeanDeserializerModifier

20. #### def modifyReferenceDeserializer(arg0: DeserializationConfig, arg1: ReferenceType, arg2: BeanDescription, arg3: JsonDeserializer[_]): JsonDeserializer[_]

    Definition Classes
      BeanDeserializerModifier

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### def updateBuilder(arg0: DeserializationConfig, arg1: BeanDescription, arg2: BeanDeserializerBuilder): BeanDeserializerBuilder

    Definition Classes
      BeanDeserializerModifier

27. #### def updateProperties(arg0: DeserializationConfig, arg1: BeanDescription, arg2: List[BeanPropertyDefinition]): List[BeanPropertyDefinition]

    Definition Classes
      BeanDeserializerModifier

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BeanDeserializerModifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped